COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF
CLOSE PRIMARY ALL

COMMENT ** Analysis **

OPEN Employee_Master
DEFINE FIELD c_Employee_City COMPUTED Normalize( City )
DEFINE FIELD c_Employee_Address COMPUTED Normalize( Address, "Text_Files_\USPS_Address.TXT" )

OPEN Vendor_Master
DEFINE FIELD c_Vendor_City COMPUTED Normalize( City ) + Blanks(3)
DEFINE FIELD c_Vendor_Address COMPUTED Normalize( Vendor_Address, "Text_Files_\USPS_Address.TXT" )

OPEN Employee_Master
OPEN Vendor_Master SECONDARY
JOIN MANY PKEY c_Employee_City FIELDS ALL SKEY c_Vendor_City WITH ALL TO "Employee_Vendor_Join_Many_City" PRESORT SECSORT

OPEN Employee_Vendor_Join_Many_City
SET FILTER TO Near( c_Employee_Address , c_Vendor_Address , 1)
COUNT

DO .Employee_Vendor_Extract_Results IF COUNT1 > 0

COMMENT ** Clean up
DELETE ALL LIKE "v_" OK
RETURN

COMMENT ** Sub procedure **

PROCEDURE Employee_Vendor_Extract_Results

EXTRACT RECORD TO "Employee_Vendor_Addresses_Near1" IF Near( c_Employee_Address , c_Vendor_Address , 1)

OPEN Employee_Vendor_Addresses_Near1
RETURN
