COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF
SET TEMP "Temp_"

COMMENT ** Analysis **

DIALOG (DIALOG TITLE "Running Totals With Break Column" WIDTH 629 HEIGHT 248 ) (BUTTONSET TITLE "&OK;&Cancel" AT 516 60 DEFAULT 1 ) (TEXT TITLE "Select The Table Name" AT 24 24 ) (ITEM TITLE "f" TO "v_table" AT 240 22 WIDTH 244 DEFAULT "" OPEN ) (TEXT TITLE "Enter The Output Table Name" AT 24 168 ) (EDIT TO "v_output_table" AT 240 166 WIDTH 240 CHAR ) (TEXT TITLE "Select the break field" AT 24 72 ) (ITEM TITLE "C" TO "v_break_field" AT 240 70 WIDTH 243 DEFAULT "" ) (TEXT TITLE "Select the numeric field to total" AT 24 120 ) (ITEM TITLE "N" TO "v_total_field" AT 240 118 WIDTH 240 DEFAULT "" )

ASSIGN v_output_table_no_spaces = Replace(v_output_table, " ", "_")

COMMENT ** Sort the file based on the break column and the numeric field.

SORT ON %v_break_field% %v_total_field% TO "Temp_Sorted_Table"

OPEN Temp_Sorted_Table

COMMENT ** Assign the variables and set their initial value

ASSIGN v_char_field = %v_break_field%
ASSIGN v_running_total = %v_total_field% - %v_total_field%

COMMENT **  The Group commands allows a series of commands to be executed for every record in the table

GROUP IF %v_break_field% = v_char_field
  ASSIGN v_running_total = v_running_total + %v_total_field%
  EXTRACT FIELDS ALL v_running_total AS "Running;Total" TO "%v_output_table_no_spaces%"

ELSE
  ASSIGN v_char_field = %v_break_field%
  ASSIGN v_running_total = %v_total_field%
  EXTRACT FIELDS ALL v_running_total AS "Running;Total" TO "%v_output_table_no_spaces%"
END

OPEN %v_output_table_no_spaces%

COMMENT
 ** Clean up
DELETE ALL LIKE "v_" OK
DELETE TEMP OK
