COMMENT
**************************************************************************************
Procedure Name:     Procedure_Template
Objective:          Demonstrates use of GROUP IF and ELSE command
Requirements:       GeneralLedger file
Description:        Executed Verify and Statistics command on records with amounts
                    greater than $500. Classify records with amounts <= $500
Output:             None
Created by:         Trainer, Arbutus Software Inc. January 2021
Version:            1.0.0
**************************************************************************************
END

COMMENT ** Set options **

SET DEFAULT
SET SAFETY OFF
SET TEMP "Temp"
CLOSE PRIMARY ALL

COMMENT ** Analysis

OPEN GeneralLedger

GROUP IF Amount > 500
   VERIFY FIELDS ALL ERRORLIMIT 20
   STATISTICS ON Amount NUMBER 5
 ELSE
   CLASSIFY ON GL_Number ACCUMULATE Amount
END

COMMENT ** Clean up **

DELETE TEMP OK
DELETE ALL OK
