COMMENT
*********************************************************************************
Procedure Name:     Sample_Procedure
Requirements:       Payroll file from a location assigned to the v_loc variable
Description:        This procedure opens the regional payroll file then groups
                    by Department and creates a file of the 3 departments with
                    the highest accumulated GrossPay
Output:             Result file of the 3 largest departments based on
                    accummulated GrossPay
Created by:         Trainer, Arbutus Software Inc. June 2017
Modified by:        Trainer, Arbutus Software Inc. May 2020
Version:            1.2
*********************************************************************************
END

COMMENT ** Pocedures often begin with SET comands, to establish a standard processing environment

SET DEFAULT
SET SAFETY OFF
SET DATE "YYYYMMDD"
SET TEMP "tmp_"

COMMENT
Vaiables and macro substitution are often used to make a procedure that can be
customized to handle run-time variances
END

ASSIGN v_loc = "NA"
OPEN %v_loc%_Payroll

COMMENT ** The group command can be used to make things run more efficiently

GROUP
  TOTAL ALL
  CLASSIFY ON WorkDepartment ACCUMULATE GrossPay TO tmp_Class1
END

OPEN tmp_Class1

STATISTICS ON GrossPay NUMBER 3
EXTRACT RECORD TO %v_loc%_Top3Departments IF GrossPay >= HIGH1

OPEN %v_loc%_Top3Departments

COMMENT ** Procedues often end with a "cleanup" section to delete variables and temporary files

DELETE TEMP OK
DELETE v_loc OK
DELETE TOTAL2 OK
DELETE WRITE3 OK
